package com.kdanmobile.reader.screen.reader.mediabox

import android.content.Context
import android.support.constraint.ConstraintLayout
import android.util.AttributeSet
import android.view.LayoutInflater
import com.kdanmobile.reader.R
import kotlinx.android.synthetic.main.view_media_box_tab.view.*

class MediaBoxTabView : ConstraintLayout {

    var onClickListenerTabTextBox: OnClickListener? = null
        set(value) {
            field = value
            ib_mediaBoxTab_textBox?.setOnClickListener(value)
        }

    var onClickListenerTabSignature: OnClickListener? = null
        set(value) {
            field = value
            ib_mediaBoxTab_signature?.setOnClickListener(value)
        }

    var onClickListenerTabStamp: OnClickListener? = null
        set(value) {
            field = value
            ib_mediaBoxTab_stamp?.setOnClickListener(value)
        }

    var onClickListenerTabShape: OnClickListener? = null
        set(value) {
            field = value
            ib_mediaBoxTab_shape?.setOnClickListener(value)
        }

    var onClickListenerTabForm: OnClickListener? = null
        set(value) {
            field = value
            ib_mediaBoxTab_form?.setOnClickListener(value)
        }

    constructor(context: Context) : super(context) {
        initView()
    }

    constructor(context: Context, attrs: AttributeSet) : super(context, attrs) {
        initView()
    }

    constructor(context: Context, attrs: AttributeSet, defStyle: Int) : super(context, attrs, defStyle) {
        initView()
    }

    private fun initView() {
        LayoutInflater.from(context).inflate(R.layout.view_media_box_tab, this)
    }
}